Author Topic: Help wanted for upcomming Napoleonic Wars patch  (Read 1203 times)

0 Members and 1 Guest are viewing this topic.

Offline Thunderstormer

  • FSE Developer
  • ****
  • Posts: 5952
  • Worse than Hotler
    • View Profile
  • Side: Neutral
Help wanted for upcomming Napoleonic Wars patch
« on: August 21, 2017, 01:38:04 am »
Currently we are making good progress, but there are still many things to fix, and while i am ok at scripting, some things are more than likely out of my league currently or will just take a while to do.

So, we are looking for people to assist.   The more people helping fix these issues, the faster we can get the patch out.  If you want to help, or know of someone who can or may want to help, let me  know.  I will probably be going through the mod boards later PMing people to see if they want to help.

our goal to fix bugs, exploits, balance, and adding other nice suggestions while maintaining compatibility with the currently client. We want it so new clients can still be compatible with old servers and new servers compatible with old clients.   We would put the new files up for everyone to dl should they want to for updating their server.    that way we dont break everyone's mods they spent years working on.   the source code would be available so they would be able to  bring our changes over to their files, or their stuff to our code.  i will make a more detailed post about how to do that down the road.

You can find out more about what we are doing in this post, and the OP.

https://www.fsegames.eu/forum/index.php?topic=36936.msg1598873#msg1598873

any help would be appreciated.  if you want to help fix those, and maybe other stuff,  let us know.  :)
Should you need to talk to me regarding NA1 or or something regarding admining or the admins, PM me here on the forums and not on steam.  *

*This does not include Official Server Admins.

Offline Dazzer

  • Donator
  • *
  • Posts: 5693
  • no
    • View Profile
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #1 on: August 21, 2017, 09:34:16 am »
I dont understand the mod thing. How do I update a mod on newer module system?

Offline Thunderstormer

  • FSE Developer
  • ****
  • Posts: 5952
  • Worse than Hotler
    • View Profile
  • Side: Neutral
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #2 on: August 21, 2017, 09:37:03 am »
I dont understand the mod thing. How do I update a mod on newer module system?
What do you mean?   are you referring to updating files?
Should you need to talk to me regarding NA1 or or something regarding admining or the admins, PM me here on the forums and not on steam.  *

*This does not include Official Server Admins.

Offline Dazzer

  • Donator
  • *
  • Posts: 5693
  • no
    • View Profile
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #3 on: August 21, 2017, 10:33:19 am »
.that way we dont break everyone's mods they spent years working on.   the source code would be available so they would be able to  bring our changes over to their files, or their stuff to our code. 
This. If i understood correctly, if a updated source code is released, I have to update my mod with it?The source code im using is old I think

Offline Thunderstormer

  • FSE Developer
  • ****
  • Posts: 5952
  • Worse than Hotler
    • View Profile
  • Side: Neutral
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #4 on: August 21, 2017, 10:47:20 am »
.that way we dont break everyone's mods they spent years working on.   the source code would be available so they would be able to  bring our changes over to their files, or their stuff to our code. 
This. If i understood correctly, if a updated source code is released, I have to update my mod with it?The source code im using is old I think

yes, there would be a more up to date version.   as of right now, we plan on just putting it on the forums for people to grab and update rather than force a steam update that would break a lot of peoples mods.  it should still be compatible with the current client. 

you could decide you dont want any of the changes, and not dl.  that is your decision, but i think people should switch over, if all things go well.   depending on the mod in question, you could just bring them over to the new source code.  or, you could just find the changes you want, and bring them over to your current source code. 

you don't have to do anything with it if you don't want to. 

did this clarify things better?
Should you need to talk to me regarding NA1 or or something regarding admining or the admins, PM me here on the forums and not on steam.  *

*This does not include Official Server Admins.

Offline Dazzer

  • Donator
  • *
  • Posts: 5693
  • no
    • View Profile
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #5 on: August 21, 2017, 01:06:12 pm »
I guess. But if the patch comes out, will it be uncompatible with my mod? How do I update it (the mod)?

Offline Thunderstormer

  • FSE Developer
  • ****
  • Posts: 5952
  • Worse than Hotler
    • View Profile
  • Side: Neutral
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #6 on: August 21, 2017, 02:34:20 pm »
I guess. But if the patch comes out, will it be uncompatible with my mod? How do I update it (the mod)?
which mod?   

i will make a post saying how you can move stuff around.   there is a program that lets you look at say 2 files(the new one and your current one), and see all the things that are different.  you can then take the stuff you want and bring it over to the other file.(your file to ours or ours to yours)

this will be a server side change.  if you dont update your server with the latest files, you can still play as you have the last few years.   as can everyone else who plays on your server in case you are wondering.  we will all be on the same NW version overall.

best way to look at it.  think of a server that did a lot of neat stuff.  skulls flying, reviving, bots doing neat things.   all that is just server side changes.  you didn't need to go and find a file to dl for yourself to play. they can keep the files they currently have.  perhaps all they want from our update is the earthworks exploit fixed.  then they can just copy it over into their source code and boom, they are happy.  maybe a gf server wants the stuff like map and round changes, or having it write in the logs saying someone teamwounded.   they could just bring their 1 or 2 things over to ours, and use our file with their older changes. 

if you modified a part of the code, and see we modified the same area, you can remove our stuff, change our stuff, add your stuff or do whatever you want with it.  i am trying to go through and add something like "#patch 1115 change begin" where i changed the code.  to help make it easier to see what i did. 
Should you need to talk to me regarding NA1 or or something regarding admining or the admins, PM me here on the forums and not on steam.  *

*This does not include Official Server Admins.

Offline junedragon

  • Colonel
  • *
  • Posts: 2476
  • Forum Pleb
    • View Profile
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #7 on: August 21, 2017, 04:12:38 pm »
wrong thread whoops
« Last Edit: August 22, 2017, 10:31:03 pm by junedragon »

Offline Dazzer

  • Donator
  • *
  • Posts: 5693
  • no
    • View Profile
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #8 on: August 21, 2017, 07:25:19 pm »
I guess. But if the patch comes out, will it be uncompatible with my mod? How do I update it (the mod)?
which mod?   

i will make a post saying how you can move stuff around.   there is a program that lets you look at say 2 files(the new one and your current one), and see all the things that are different.  you can then take the stuff you want and bring it over to the other file.(your file to ours or ours to yours)

this will be a server side change.  if you dont update your server with the latest files, you can still play as you have the last few years.   as can everyone else who plays on your server in case you are wondering.  we will all be on the same NW version overall.

best way to look at it.  think of a server that did a lot of neat stuff.  skulls flying, reviving, bots doing neat things.   all that is just server side changes.  you didn't need to go and find a file to dl for yourself to play. they can keep the files they currently have.  perhaps all they want from our update is the earthworks exploit fixed.  then they can just copy it over into their source code and boom, they are happy.  maybe a gf server wants the stuff like map and round changes, or having it write in the logs saying someone teamwounded.   they could just bring their 1 or 2 things over to ours, and use our file with their older changes. 

if you modified a part of the code, and see we modified the same area, you can remove our stuff, change our stuff, add your stuff or do whatever you want with it.  i am trying to go through and add something like "#patch 1115 change begin" where i changed the code.  to help make it easier to see what i did.
The mod im developing, look in the In development subboard :D what am I asking how to port the mod on a newer version pf Nw. For example lets say I started developing it on version 100. Now a new version came out which is 101. How do I update the mod to be compatible with v 101? Or maybe I misunderstood heavily and i dont have to update the mod...

Offline SwissGronkh

  • Colonel
  • *
  • Posts: 2402
  • Men with 10 Skillpoints on luck.
    • View Profile
    • CCL Betting Table
  • Side: Union
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #9 on: September 28, 2017, 11:01:32 am »
I would help if you want  ;)


Offline Furrnox

  • Lieutenant General
  • ***
  • Posts: 7804
    • View Profile
  • Side: Confederacy
Re: Help wanted for upcomming Napoleonic Wars patch
« Reply #10 on: December 08, 2017, 10:46:30 pm »
/ Wrong thread whoops.
« Last Edit: December 08, 2017, 10:52:34 pm by Furrnox »